[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: notfiy about artifacts

Holger Levsen holger at moszumanska.debian.org
Fri Mar 20 20:22:35 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 5a054b3a6556128e2d84c948f23d0b3692ee6eb7
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Mar 20 21:22:33 2015 +0100

    reproducible: notfiy about artifacts
---
 bin/reproducible_build.sh              | 5 +++--
 bin/reproducible_schedule_on_demand.sh | 3 +++
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index e3f4a8a..506dd91 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -27,14 +27,15 @@ cleanup_all() {
 	if [ "$SAVE_ARTIFACTS" = "1" ] ; then
 		local hash=$(tr -cd '[:alnum:]' < /dev/urandom | fold -w5 | head -1)
 		local ARTIFACTS="artifacts/r00t-me/tmp-${hash}/${SUITE}/${PACKAGE}"
-		mkdir -p "/var/lib/jenkins/userContent/$ARTIFACTS"
-		cp -r $TMPDIR/* "/var/lib/jenkins/userContent/$ARTIFACTS"
+		mkdir -p /var/lib/jenkins/userContent/$ARTIFACTS
+		cp -r $TMPDIR/* /var/lib/jenkins/userContent/$ARTIFACTS/
 		echo | tee -a ${RBUILDLOG}
 		echo "Artifacts from this build are preserved. They will be available for 72h only, so download them now if you want them." | tee -a ${RBUILDLOG}
 		echo "WARNING: You shouldn't trust packages you downloaded from this host, they can contain malware or the worst of your fears, packaged nicely in debian format." | tee -a ${RBUILDLOG}
 		echo "If you are not afraid facing your fears while helping the world by investigating reproducible build issues, you can download the artifacts from the following location:" | tee -a ${RBUILDLOG}
 		echo "https://reproducible.debian.net/$ARTIFACTS" | tee -a ${RBUILDLOG}
 		echo | tee -a ${RBUILDLOG}
+		kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "new artifacts available at https://reproducible.debian.net/$ARTIFACTS" || true # don't fail the whole job
 	fi
 	rm -r $TMPDIR $TMPCFG
 }
diff --git a/bin/reproducible_schedule_on_demand.sh b/bin/reproducible_schedule_on_demand.sh
index a4636bf..1a73e3d 100755
--- a/bin/reproducible_schedule_on_demand.sh
+++ b/bin/reproducible_schedule_on_demand.sh
@@ -41,6 +41,9 @@ if [ -n "${BUILD_URL:-}" ] ; then
 	ACTION="rescheduled by $BUILD_URL"
 fi
 MESSAGE="$TOTAL $PACKAGES_TXT $ACTION in $SUITE: ${PACKAGES_NAMES:0:256}$BLABLABLA"
+if [ $ARTIFACTS eq 1 ] ; then
+	MESSAGE="$MESSAGE - artifacts will be preserved."
+fi
 
 # finally
 schedule_packages $ARTIFACTS $PACKAGE_IDS

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list